pub mod quick_err {
    use domo_proto::commands::node_management::{NodeManagementCommand, errors::NodeManagementError};
    use domo_proto::identifier::Identifier;
    use domo_proto::packet::{Packet, ToPacket};

    pub fn net_invalid_packet(src: Identifier, dest: Identifier, reply_to: Identifier) -> Packet {
        NodeManagementCommand::Error {
            error_code: NodeManagementError::net_invalid_packet.into(),
            // todo: non rude meta
            metadata: "don't send me stupid data, stupid".to_string().into_bytes()
        }.to_packet(
            src,
            dest,
            Identifier::random(),
            reply_to
        )
    }

    pub fn net_broken_packet(src: Identifier, reply_to: Identifier) -> Packet {
        NodeManagementCommand::Error {
            error_code: NodeManagementError::net_broken_packet.into(),
            metadata: "intelligible data, send again.".to_string().into_bytes()
        }.to_packet(
            src,
            Identifier::default(),
            Identifier::random(),
            reply_to
        )
    }

    pub fn net_dest_unreachable(src: Identifier, dest: Identifier, reply_to: Identifier) -> Packet {
        NodeManagementCommand::Error {
            error_code: NodeManagementError::net_dest_unreachable.into(),
            metadata: "packet could not reach destination".to_string().into_bytes()
        }.to_packet(
            src,
            dest,
            Identifier::random(),
            reply_to
        )
    }
}